* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: #f5f5f5;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}

/* user input */
.user_input {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    top: 80px;
    text-align: center;
}

#github_form {
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: center;
}

#user_name_input {
    width: 200px;
    height: 30px;
    padding: 5px;
    text-align: center;
    border: 1px solid #ccc;
    border-radius: 4px;
}

#github_form button {
    width: 100px;
    height: 30px;
    background-color: #414141;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    box-shadow: 0 2px 5px black;
}

#github_form button:hover {
    background-color: #616161;
    box-shadow: none;
}

#message {
    margin-top: 10px;
    color: #e63946;
}

/* card */
.wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 80vh;
    padding: 50px 0;
}

.card {
    width: 250px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    text-align: center;
    overflow: hidden;
    background-color: white;
}

.card_image img {
    width: 100%;
    height: 250px;
    object-fit: cover;
}

.card_about {
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding: 0.8em;
}

.copy_btn {
    padding: 5px 10px;
    cursor: pointer;
    background-color: #414141;
    color: white;
    border: none;
    border-radius: 4px;
    box-shadow: 0 2px 5px black;
}

.copy_btn:hover {
    background-color: #616161;
    box-shadow: none;
}

@media (max-width: 500px) {
    .user_input {
        top: 50px;
    }

    .wrapper {
        min-height: 70vh;
    }

}
